Qt 5.6 | Qt Core | C++ Classes | QSettings

Qt 5.6.2 Reference Documentation

# Obsolete Members for QSettings

The following members of class QSettings are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` void | setSystemIniPath(const QString &dir)
`(obsolete)` void | setUserIniPath(const QString &dir)

- 1 static public member inherited from QObject

## Member Function Documentation

### `[static]` void QSettings::setSystemIniPath(const QString &dir)

Use setPath() instead.

For example, if you have code like

      setSystemIniPath(path);

you can rewrite it as

      setPath(QSettings::NativeFormat, QSettings::SystemScope, path);
      setPath(QSettings::IniFormat, QSettings::SystemScope, path);

### `[static]` void QSettings::setUserIniPath(const QString &dir)

Use setPath() instead.